%global svndate 20180330
%global svnrev 795

Name:           xc3sprog
Version:        0
Release:        2.%{svndate}svn%{svnrev}%{?dist}
Summary:        Xilinx programming tool

License:        GPLv2+
URL:            http://xc3sprog.sourceforge.net/
# fedora-getsvn xc3sprog svn://svn.code.sf.net/p/xc3sprog/code/trunk %%{svnrev}
Source0:        %{name}-svn%{svnrev}.tar.bz2
Patch0:         %{name}-flags.patch

BuildRequires:  gcc gcc-c++
BuildRequires:  cmake
BuildRequires:  libftdi-devel
BuildRequires:  libusb-devel


%description
xc3sprog is a suite of utilities for programming Xilinx FPGAs, CPLDs, and
EEPROMs with the Xilinx Parallel Cable and other JTAG adapters under Linux.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .flags

# remove prebuilt binaries
rm -f *.exe


%build
mkdir build
pushd build
%cmake -DUSE_FTD2XX=0 ..
make %{?_smp_mflags}
popd


%install
pushd build
%make_install
popd

install -D -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc COPYING LICENSE README Readme.DLC10 byte-order.txt
%{_bindir}/*
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Jul 31 2019 Dan Horák <dan@danny.cz> - 0-2.20180330svn795
- updated to svn rev 795

* Wed Aug 27 2014 Dan Horák <dan@danny.cz> - 0-1.20140714svn769
- initial Fedora version
